# saga::job::description Class Reference

This object encapsulates all the attributes which define a job to be run. More...

`#include <job_description.hpp>`

Inheritance diagram for saga::job::description:

[legend]

List of all members.

## Public Member Functions
| description (void)
| Creates the object.
| description (saga::object const &o)
| Creates the object.
| ~description (void)
| Destroys the object.
description & | operator= (saga::object const &o)
| Brief description starts here.

## Detailed Description

This object encapsulates all the attributes which define a job to be run.

The description encapsulates all the attributes which define a job to be run. It has no methods of its own, but implements the saga::attributes interface in order to provide access to the job properties, which are expressed as JSDL keywords. The only required attribute in order to perform a valid job submission is the Executable. Given the Executable, a job can be instantiated in many existing backend systems without any further specification.

## Constructor & Destructor Documentation

saga::job::description::description | ( | void |  | ) |

Creates the object.

Reimplemented in saga::cpr::description.

References saga::job::attributes::description_arguments, saga::job::attributes::description_candidate_hosts, saga::job::attributes::description_cleanup, saga::job::attributes::description_cpu_architecture, saga::job::attributes::description_environment, saga::job::attributes::description_error, saga::job::attributes::description_executable, saga::job::attributes::description_file_transfer, saga::job::attributes::description_input, saga::job::attributes::description_interactive, saga::job::attributes::description_job_contact, saga::job::attributes::description_job_project, saga::job::attributes::description_job_start_time, saga::job::attributes::description_number_of_processes, saga::job::attributes::description_operating_system_type, saga::job::attributes::description_output, saga::job::attributes::description_processes_per_host, saga::job::attributes::description_queue, saga::job::attributes::description_spmd_variation, saga::job::attributes::description_threads_per_process, saga::job::attributes::description_total_cpu_count, saga::job::attributes::description_total_cpu_time, saga::job::attributes::description_total_physical_memory, saga::job::attributes::description_wall_time_limit, and saga::job::attributes::description_working_directory.

saga::job::description::description | ( | saga::object const & | o | ) | `[explicit]`

Creates the object.

Reimplemented in saga::cpr::description.

References saga::BadParameter, saga::object::get_type(), and saga::object::JobDescription.

saga::job::description::~description | ( | void |  | ) |

Destroys the object.

Reimplemented in saga::cpr::description.

## Member Function Documentation

description & saga::job::description::operator= | ( | saga::object const & | o | ) |

Brief description starts here.

Reimplemented in saga::cpr::description.

The documentation for this class was generated from the following files:

- job_description.hpp
- job_description.cpp